Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Static Public Attributes

# AnimPanel Class Reference

List of all members.

## Public Member Functions
def | __init__
def | clearActorControls
def | createActorControls
def | createInterface
def | destroy
def | disableActorControlAt
def | disableActorControls
def | displayFrameCounts
def | displaySeconds
def | enableActorControlAt
def | enableActorControls
def | getActorControlAt
def | loadAnim
def | nextFrame
def | play
def | playActorControls
def | previousFrame
def | resetAllToEnd
def | resetAllToZero
def | setActors
def | setDestroyCallBack
def | stopActorControls
def | toggleAllControls
## Public Attributes
| actorControlIndex
| actorControlList
| actorFrame
| destroyCallBack
| frameHeight
| fToggleAll
| id
| lastT
| loopButton
| loopVar
| playButton
| playList
| session
| stopButton
| toEndButton
| toNextFrameButton
| toPreviousFrameButton
| toStartButton
## Static Public Attributes
string | appname = 'Anim Panel'
int | frameHeight = 250
int | frameWidth = 675
int | index = 0
int | usecommandarea = 0
int | usestatusarea = 0

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | aList = `[]`,
|  |  | parent = `None`,
|  |  | session = `None`,
|  |  | kw
| ) |  |

## Member Function Documentation

def clearActorControls | ( |  | self | ) |

def createActorControls | ( |  | self | ) |

def createInterface | ( |  | self | ) |

def destroy | ( |  | self | ) |

def disableActorControlAt | ( |  | self,
|  |  | index
| ) |  |

def disableActorControls | ( |  | self | ) |

def displayFrameCounts | ( |  | self | ) |

def displaySeconds | ( |  | self | ) |

def enableActorControlAt | ( |  | self,
|  |  | index
| ) |  |

def enableActorControls | ( |  | self | ) |

def getActorControlAt | ( |  | self,
|  |  | index
| ) |  |

def loadAnim | ( |  | self | ) |

def nextFrame | ( |  | self | ) |

def play | ( |  | self,
|  |  | task
| ) |  |

def playActorControls | ( |  | self | ) |

def previousFrame | ( |  | self | ) |

def resetAllToEnd | ( |  | self | ) |

def resetAllToZero | ( |  | self | ) |

def setActors | ( |  | self | ) |

def setDestroyCallBack | ( |  | self,
|  |  | callBack
| ) |  |

def stopActorControls | ( |  | self | ) |

def toggleAllControls | ( |  | self | ) |

## Member Data Documentation

actorControlIndex

actorControlList

actorFrame

string appname = 'Anim Panel'`[static]`

destroyCallBack

frameHeight

int frameHeight = 250`[static]`

int frameWidth = 675`[static]`

fToggleAll

id

int index = 0`[static]`

lastT

loopButton

loopVar

playButton

playList

session

stopButton

toEndButton

toNextFrameButton

toPreviousFrameButton

toStartButton

int usecommandarea = 0`[static]`

int usestatusarea = 0`[static]`

All Classes Namespaces Functions Variables Enumerations Enumerator Properties